
D4Science Infrastructure - VM Creation #11036

SDI_Lab dedicated GeoServer

Jan 24, 2018 05:08 PM - Fabio Sinibaldi

Status: Closed Start date: Jan 24, 2018

Priority: Immediate Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: SDI-nodes management   

Infrastructure: Production Applications list and

version:

geoserver 2.10

RAM: 8 Applications context

path:

geoserver

CPU: 4 External storage data

disk:

 

DiskSpace: 40 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

Yes

Smartgears Version: LATEST RELEASED PostgreSQL

database:

Yes

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: /d4science.research-infrastructures.eu/D

4Research/SDI_Lab

  

Description

Dedicated GeoServer is urgently needed in the new SDI_Lab VRE.

The expected instance should be similar to geoserver-tunaatlas.d4science.org, so I assume provision might be done cloning said

VM, removing SG installation (i.e. gCube user) and perform ansible tasks to reconfigure it..

NB : data spaces need to be cleared as well.

Suggested name : geoserver-sdi_lab.d4science.org

Related issues:

Blocks D4Science Infrastructure - VM Creation #11035: SDI_Lab dedicated GeoNe... Closed Jan 24, 2018

History

#1 - Jan 25, 2018 11:16 AM - Roberto Cirillo

- Copied to VM Creation #11045: FrenchTropicalTunaAtlas dedicated GeoServer added

#2 - Jan 25, 2018 03:31 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 50

VM geoserver-sdi-lab.d4science.org running, to be provisioned.

#3 - Jan 25, 2018 05:09 PM - Andrea Dell'Amico

Questions. Do we need to run it behind the load balancer as we to for the tunaatlas services to have URLs like

sdi-lab.d4science.org/{geoserver,geonetwork}?

The tunaatlas geoserver uses a jndi pool to connect to the database. Do we need to use a pool or a 'standard' connection, configured by the

geoserver admin?

#4 - Jan 25, 2018 05:15 PM - Fabio Sinibaldi

I can assume we need to replicate what provided for Tuna Atlas VRE, but we're better double check.

@emmanuel.blondel@fao.org , @julien.barde@ird.fr can you answer to Andrea's questions, please?
The question involves and affects also provisioning of GeoNetwork for SDI_Lab VRE (ticket #11035).

#5 - Jan 25, 2018 05:19 PM - Fabio Sinibaldi

- Blocks VM Creation #11035: SDI_Lab dedicated GeoNetwork added

#6 - Jan 25, 2018 09:39 PM - Emmanuel Blondel

I would say one instance of Geoserver, no clusters/no load balance.

For JNDI, if you could set it up it could be useful for us. Let me know if it is possible

#7 - Jan 26, 2018 03:36 PM - Andrea Dell'Amico

JNDI is ok. The provisioning is in progress.

#8 - Jan 26, 2018 04:40 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 50 to 90

The geoserver is running at http://geoserver-sdi-lab.d4science.org/geoserver/web/

Can you check? The SSL certificate will be available in the next days.

#9 - Jan 26, 2018 06:40 PM - Andrea Dell'Amico

- Copied to deleted (VM Creation #11045: FrenchTropicalTunaAtlas dedicated GeoServer)

#11 - Feb 01, 2018 12:45 PM - Fabio Sinibaldi

Instance registered into IS, SDI-Service is correctly reporting configuration.

#12 - Feb 06, 2018 04:39 PM - Emmanuel Blondel

For this Geoserver, https is not yet available apparently... can we get it?

In addition, we would also need a SFTP access to geoserver data directory (for myself + @julien.barde@ird.fr in case he provided to you an ssh key).

Thanks in advance for that

#13 - Feb 06, 2018 04:44 PM - Andrea Dell'Amico

Emmanuel Blondel wrote:

For this Geoserver, https is not yet available apparently... can we get it?

 A certificate request is submitted every day, but because of the letsencrypt.org limits will need to wait for 2 or 3 days at least. That's not under our

control.

#14 - Feb 06, 2018 05:25 PM - Fabio Sinibaldi

Emmanuel Blondel wrote:

In addition, we would also need a SFTP access to geoserver data directory...

 @emmanuel.blondel@fao.org just to double check : REST interface of data-transfer service is available on the instance and configured to operate on

geoserver's data directory, so you can use that to retrieve and store files in it. Is SFTP access still needed?

For completeness :

here a GET request for the subfolder gwc (absolute path would be "/srv/geoserver_data/gwc" here is "geoserver/gwc" being "geoserver" a

configurable placeholder) with optional flag "descriptor" for JSON representation - NB needs your token - : 

http://geoserver-sdi-lab.d4science.org/data-transfer-service/gcube/service/REST/geoserver/gwc?gcube-token=****&descriptor=true

#15 - Feb 06, 2018 06:14 PM - Emmanuel Blondel

Yes, it's still needed; They are 2 different things. SFTP is required for the same arguments as for the VREs, we need to be able to arrange geoserver

data dirs subsystems and o cleaning operation that we can't do through REST API. This is particularly needed in this context as about 30 newcomers

will learn how to use the REST API, so I need behind the capacity to interven on the file system of geoserver.

#16 - Feb 06, 2018 06:39 PM - Andrea Dell'Amico

@emmanuel.blondel@fao.org you can now access as user emmanuel.blondel. The geoserver data directory is /srv/geoserver_data
#17 - Feb 08, 2018 10:26 AM - Emmanuel Blondel

Hi @andrea.dellamico@isti.cnr.it apparently the SSL certificate was requested 13 days ago, do you know if we can get one quickly, the workshop

started already, ideally we should get it this afternoon. Tomorrow 30 people will have to work with geoserver, and we would like to have it through the

VRE as unique endpoint for users. Thanks in advance

#18 - Feb 08, 2018 05:59 PM - Andrea Dell'Amico

@emmanuel.blondel@fao.org I'm really sorry but there's nothing I can do right now. The letsencrypt.org rules are becoming a limit, we are taking

measures to change the situation but that will take some weeks.

#19 - Feb 09, 2018 08:09 AM - Emmanuel Blondel

Hello @andrea.dellamico@isti.cnr.it @fabio.sinibaldi@isti.cnr.it , yesterday i've been struggling with this geoserver while testing the REST API. First

I've realized the version is not the same as the other geoserver requested (2.10.5 and not 2.10.0). Is it possible for you to quickly deploy 2.10.0

instead on this component? and check the configuration of the data directory, in comparison with the Aquaculture atlas (

http://geoserver-aquacultureatlas.d4science.org/geoserver/).

At that time, it is impossible to use the API for pushing shapefiles in data directory, but for this I need 2.10.0 for the sake of the training, as later

versions might have changed things, and I know 2.10.0 is ok since we are push well shapefiles in aquaculture atlas

Please let me know ASAP, as the training is today :-), thanks a lot for your help there

#20 - Feb 09, 2018 09:15 AM - Andrea Dell'Amico

I usually install the latest minor because I assume there are bug fixes only. I'm going to install the 2.10.0 version now.

#21 - Feb 09, 2018 09:36 AM - Andrea Dell'Amico

2.10.0 is running now.

#22 - Feb 12, 2018 04:33 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

We also have a valid certificate now.
